//
// TabPro.DCL - Copyright 1993-95 by Mountain Software
//
// This file is used by TabPro, the AutoCAD Spreadsheet Interface
//
// THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
// WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
// PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//*===================================================================*

dcl_settings : default_dcl_settings { audit_level = 0; }

spacer_2 : spacer { width = 2; }

//*----- File -----

file_row : boxed_row {
//*----- File
    label = "Spreadsheet";
    : button {
        label = "File...";
        key = "file";
        mnemonic = "F";
        fixed_width=true;
        width = 8;
    }
    spacer_0;
    : edit_box {
        key = "file_box";
        alignment = right;
        fixed_width = true;
        width = 25;
    }
}

//*----- Range

range_row : boxed_column {
    label = "Range Selection";
    : row {
    : button {
        label = "Range";
        key = "range";
        mnemonic = "R";
        fixed_width=true;
        width = 8;
    }
    spacer_0;
    : edit_box {
        key = "range_box";
        alignment = right;
        fixed_width = true;
        width = 25;
    }
    }
    : row {
    : text {
        label = " Sheet";
        fixed_width=true;
        key = "sheet_text";
        width = 8;
    }
    spacer_0;
    : popup_list {
        key = "sheet_list";
        popup_height = 7;
        width = 25;
    }
    }
}

ok1 : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : ok_button { key = "accept_1"; }
    }
}

ok_cancel1 : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : ok_button { key = "accept_1"; }
        spacer_2;
        cancel_button;
    }
}

//*----- Text Layer

layer_row : row {
    : button {
        label = "Layer...";
        fixed_width=true;
        width = 8;
        key = "layer";
        mnemonic = "L";
    }
    spacer_0;
    : popup_list {
        key = "layer_list";
        width = 25;
        popup_height = 7;
        alignment = right;
    }
}

//*----- Text Style

style_row : row {
    : button {
        label = "Style...";
        fixed_width=true;
        width = 8;
        key = "style";
        mnemonic = "S";
    }
    spacer_0;
    : popup_list {
        key = "style_list";
        width = 25;
        popup_height = 7;
        alignment = right;
    }
}

//*----- Grid

grid_row : row {
    : button {
        label = "Grid... ";
        fixed_width=true;
        width = 8;
        key = "grid";
        mnemonic = "G";
    }
    spacer_0;
    //*----- Grid Layer
    : popup_list {
        mnemonic = "L";
        key = "grid_layer";
        width = 25;
        popup_height = 7;
        alignment = right;
    }
}

//*----- Row Spacing

row_scale_edit : edit_box {
    label = "Row Scale";
    mnemonic = "R";
    key = "row_sf";
    edit_width = 8;
}

row_spacing : row {
    row_scale_edit;
    : slider {
        key = "row_slider";
        width = 12;
        fixed_width = true;
        min_value = 100;
        max_value = 500;
    }
}

win_row_spacing : row { : row_scale_edit { edit_width = 8; }}

//*----- Column Spacing

col_space_edit : edit_box {
    label = "Column Offset";
    mnemonic = "C";
    key = "col_of";
    edit_width = 8;
}

col_spacing : row {
    col_space_edit;
    : slider {
        key = "col_slider";
        width = 12;
        fixed_width = true;
        min_value = 0;
        max_value = 400;
    }
}

win_col_spacing : row { : col_space_edit { edit_width = 8; }}

//*----- Text Size

text_size : edit_box {
    label = "Text Size";
    mnemonic = "T";
    key = "text_ht";
    edit_width = 8;
}

tabpro : dialog
{
    label = "TabPro";
    initial_focus = "file";
    : row {
    : column {
        file_row;
        range_row;
        : boxed_column {
            label = "Text Parameters";
            layer_row;
            style_row;
        }
        : boxed_column {
            label = "Table Settings";
            grid_row;
        }
    }
    : column {
    : row {
    : column {
        alignment = top;
        fixed_height = true;
        : ok_button { height = 3; width = 10; }
        : cancel_button { width = 10; }
        : help_button { width = 10; }
    }
    }
    : row {
    : column {
        alignment = bottom;
        fixed_height = true;
        : button {
            label = "Database";
            key = "asi";
            mnemonic = "D";
            height = 3;
        }
        : button {
            label = "Scaling";
            key = "scale";
            mnemonic = "S";
        }
        : button {
            label = "Table";
            key = "table";
            mnemonic = "T";
        }
        : button {
            label = "Update";
            key = "update";
            mnemonic = "U";
        }
        : button {
            label = "Explode";
            key = "explode";
            mnemonic = "E";
        }
    }
    }
    }
    }
    errtile;
}

scale : dialog {
    label = "Table Scaling Settings";
    text_size;
    row_spacing;
    col_spacing;
    spacer;
    ok1;
}

asi_select : dialog {
    label = "ASI Database";
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = "Logon";
            key = "asi_logon";
            mnemonic = "L";
        }
        spacer_2;
        : button {
            label = "logOff";
            key = "asi_logoff";
            mnemonic = "O";
        }
        spacer_2;
        : button {
            label = "History";
            key = "asi_history";
            mnemonic = "H";
        }
        spacer_2;
        : button {
            label = "Dictionary";
            key = "asi_dictionary";
            mnemonic = "D";
        }
        spacer_2;
        : toggle {
            label = "Headings";
            key = "asi_headings";
            mnemonic = "H";
        }
    }
    : row { spacer_1; }
    : edit_box {
        key = "asi_select";
        label = "SQL:";
        mnemonic = "S";
        width = 70;
        edit_limit = 255;
        allow_accept = true;
    }
    errtile;
    ok_cancel_help;
}

asi_logon : dialog {
    label = "ASI Logon";
    : popup_list {
        key = "asi_dbms";
        label = "DBMS    ";
        mnemonic = "D";
        width = 25;
    }
    : edit_box {
        key = "asi_database";
        label = "dAtabase";
        mnemonic = "A";
        width = 25;
    }
    : edit_box {
        key = "asi_username";
        label = "Username";
        mnemonic = "U";
        width = 25;
    }
    : edit_box {
        key = "asi_password";
        label = "Password";
        mnemonic = "P";
        width = 25;
    }
    ok_cancel;
    errtile;
}

asi_history : dialog {
    label = "History";
    initial_focus = "asi_history_list";
    : list_box {
        key = "asi_history_list";
        width = 60;
        height = 12;
        allow_accept = true;
    }
    ok_cancel;
}

asi_dictionary : dialog {
    label = "Data Dictionary";
    : list_box {
        key = "asi_dict_list";
        tabs = "20";
        width = 38;
        height = 12;
        is_accept = true;
    }
    ok_button;
}

//  A different dialogue is required for Windows due to a bug in
//  the Windows implementation of the proteus slider widget

win_scale : dialog {
    label = "Table Scaling Settings";
    text_size;
    win_row_spacing;
    win_col_spacing;
    spacer;
    ok1;
}


Grid : dialog
{
    label = "Table Grid";
    allow_accept=true;
    : boxed_radio_row {
        label = "Border";
        : radio_button {
            key = "border_0";
            label = "None";
            mnemonic = "N";
        }
        : radio_button {
            key = "border_1";
            label = "Thin";
            mnemonic = "T";
        }
        : radio_button {
            key = "border_2";
            label = "Medium";
            mnemonic = "M";
        }
        : radio_button {
            key = "border_3";
            label = "tHick";
            mnemonic = "H";
        }
    }
    spacer;
    : boxed_radio_row {
        label = "Grid Lines";
        mnemonic = "D";
        : radio_button {
            key = "grid_0";
            label = "nOne";
            mnemonic = "O";
        }
        : radio_button {
            key = "grid_1";
            label = "Dotted";
            mnemonic = "D";
        }
        : radio_button {
            key = "grid_2";
            label = "dAshed";
            mnemonic = "A";
        }
        : radio_button {
            key = "grid_3";
            label = "Continuous";
            mnemonic = "C";
        }
    }
    spacer;
    ok1;
}


Range : dialog
{
    label = "Named Ranges";
    : list_box {
        key = "range_list";
        width = 35;
        allow_accept=true;
    }
    spacer;
    ok_cancel1;
}

table : dialog
{
    label = "Table Creation Mode";
    allow_accept=true;
    : boxed_radio_column {
        label = "Mode";
        : radio_button {
            key = "table_text";
            label = "Lines and Text";
            mnemonic = "T";
        }
        : radio_button {
            key = "table_block";
            label = "Block and Attributes";
            mnemonic = "B";
        }
    }
    spacer;
    ok1;
}

look_file : dialog {
    label = "";
    key = "filename";
    : list_box {
        key = "look_box";
        tabs = "9 17 25 33 41 49 57 65 73 81";
        width = 74;
        height = 20;
    }
    ok_button;
}

get_string : dialog {
    label = "";
    initial_focus = "string";
    key = "prompt";
    : edit_box {
        key = "string";
        width = 40;
        allow_accept=true;
    }
    ok_button;
}

style_dialog : dialog
{
    label = "Style Settings";
    : edit_box {
        label = "Style Name";
        mnemonic = "S";
        key = "style_name";
        edit_width = 15;
    }
    : edit_box {
        label = "Font Filename";
        mnemonic = "F";
        key = "font_file";
        edit_width = 15;
    }
    : edit_box {
        label = "Text Height";
        mnemonic = "H";
        key = "height";
        edit_width = 10;
    }
    : edit_box {
        label = "Width Factor";
        mnemonic = "W";
        key = "width_factor";
        edit_width = 10;
    }
    : edit_box {
        label = "Obliqueing Angle";
        mnemonic = "O";
        key = "obl_ang";
        edit_width = 10;
    }
    : boxed_row {
        : toggle {
            label = "Backwards";
            key = "backwards";
            value = "0";
        }
        : toggle {
            label = "Upside Down";
            key = "upside_down";
            value = "0";
        }
        : toggle {
            label = "Vertical";
            key = "vertical";
            value = "0";
        }
    }
    ok_cancel_help_errtile;
}

